#!/bin/bash


cat << END_C > tmpc.c #C forrás állomáyn létrehozása 
#include <stdio.h>

main()
{
    int number;

    printf("Kérek egy számot\n");
    scanf("%d",&number);
 
    printf("A szám: %d\n", number);
    return 0;
}

END_C

#A létrehozott C forrás fordítása és futtatása 
gcc tmpc.c
./a.out

#Az állományok törlése
rm tmpc.c
rm a.out